Tar.TarFileSet (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Tar.TarFileSet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Tar.TarFileSet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AbstractFileSet
                  org.apache.tools.ant.types.FileSet
                      org.apache.tools.ant.taskdefs.Tar.TarFileSet

All Implemented Interfaces:
  java.lang.Cloneable, SelectorContainer

Enclosing class:
  Tar

public static class Tar.TarFileSet
extends FileSet

This is a FileSet with the option to specify permissions

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Tar.TarFileSet()`
`Tar.TarFileSet(FileSet fileset)`

Method Summary
`java.lang.String[]` | `getFiles(Project p)` Get a list of files and directories specified in the fileset.
`java.lang.String` | `getFullpath()`
`java.lang.String` | `getGroup()`
`int` | `getMode()`
`java.lang.String` | `getPrefix()`
`boolean` | `getPreserveLeadingSlashes()`
`java.lang.String` | `getUserName()`
`void` | `setFullpath(java.lang.String fullpath)` If the fullpath attribute is set, the file in the fileset is written with that path in the archive.
`void` | `setGroup(java.lang.String groupName)` The groupname for the tar entry; optional, default="" This is not the same as the GID, which is not currently set by the task.
`void` | `setMode(java.lang.String octalString)` A 3 digit octal string, specify the user, group and other modes in the standard Unix fashion; optional, default=0644
`void` | `setPrefix(java.lang.String prefix)` If the prefix attribute is set, all files in the fileset are prefixed with that path in the archive.
`void` | `setPreserveLeadingSlashes(boolean b)` Flag to indicates whether leading `/'s should be preserved in the file names.
`void` | `setUserName(java.lang.String userName)` The username for the tar entry This is not the same as the UID, which is not currently set by the task.

Methods inherited from class org.apache.tools.ant.types.FileSet
`clone`

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet
`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDataTypeName, getDir, getDirectoryScanner, getRef, getSelectors, hasPatterns, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tar.TarFileSet

    public Tar.TarFileSet(FileSet fileset)

### Tar.TarFileSet

    public Tar.TarFileSet()

Method Detail

### getFiles

    public java.lang.String[] getFiles(Project p)

  Get a list of files and directories specified in the fileset.

  Returns:
    a list of file and directory names, relative to the baseDir for the project.

### setMode

    public void setMode(java.lang.String octalString)

  A 3 digit octal string, specify the user, group and other modes in the standard Unix fashion; optional, default=0644

### getMode

    public int getMode()

### setUserName

    public void setUserName(java.lang.String userName)

  The username for the tar entry This is not the same as the UID, which is not currently set by the task.

### getUserName

    public java.lang.String getUserName()

### setGroup

    public void setGroup(java.lang.String groupName)

  The groupname for the tar entry; optional, default="" This is not the same as the GID, which is not currently set by the task.

### getGroup

    public java.lang.String getGroup()

### setPrefix

    public void setPrefix(java.lang.String prefix)

  If the prefix attribute is set, all files in the fileset are prefixed with that path in the archive. optional.

### getPrefix

    public java.lang.String getPrefix()

### setFullpath

    public void setFullpath(java.lang.String fullpath)

  If the fullpath attribute is set, the file in the fileset is written with that path in the archive. The prefix attribute, if specified, is ignored. It is an error to have more than one file specified in such a fileset.

### getFullpath

    public java.lang.String getFullpath()

### setPreserveLeadingSlashes

    public void setPreserveLeadingSlashes(boolean b)

  Flag to indicates whether leading `/'s should be preserved in the file names. Optional, default is `false`.

### getPreserveLeadingSlashes

    public boolean getPreserveLeadingSlashes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.